package org.example.model.claim.ws; 


import com.ibm.websphere.webservices.utils.EMFSOAPElementUtil;
import org.example.model.claim.ClaimPackage;
import org.example.model.claim.util.ClaimResourceFactoryImpl;


/**
 * This class takes care of EMF initialization and defines
 * two methods, serialize and deserialize, used to convert
 * between SOAPElement objects and DocumentRoot objects for
 * all SDOs generated from one or more specific schemas.
 */
public class ClaimSOAPElementUtil extends EMFSOAPElementUtil
{
  /**
   * Constructs a new utility class
   * with the side effect of initializing EMF.
   * The "super" call registers our XML resource factory with
   * the EMF runtime (see the EMFSOAPElementUtil constructor),
   * then initializes the "Package" metadata for the Schema.
   */
  public ClaimSOAPElementUtil ()
  {
    // Register an XML resource factory with the EMF runtime.
    // Any one Schema's resource factory will handle all Schemas.
    super( new ClaimResourceFactoryImpl() );

    // Initialize the EMF package for the schema.
    ClaimPackage packageToInit = ClaimPackage.eINSTANCE;
    
    // This statement is used to removed unused reference warnings.  It 
    // will be optimize out.
    packageToInit.getClass();
  }
}
 