package org.example.servlet;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.example.model.claim.Address;
import org.example.model.claim.Claim;
import org.example.model.claim.ClaimFactory;
import org.example.model.claim.ClaimResponse;
import org.example.model.claim.Person;
import org.example.model.claim.Receipt;
import org.example.webservice.ClaimPortTypeProxySDO;

/**
 * Servlet implementation class for Servlet: SubmitClaim
 *
 */
 public class SubmitClaim extends javax.servlet.http.HttpServlet implements javax.servlet.Servlet {
    /* (non-Java-doc)
	 * @see javax.servlet.http.HttpServlet#HttpServlet()
	 */
	public SubmitClaim() {
		super();
	}   	
	
	/* (non-Java-doc)
	 * @see javax.servlet.http.HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
	}  	
	
	/* (non-Java-doc)
	 * @see javax.servlet.http.HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		processRequest(request, response);
	}   
	
	protected void processRequest(HttpServletRequest request, HttpServletResponse response) throws IOException{
		ClaimFactory factory = ClaimFactory.eINSTANCE;
		Claim claim = factory.createClaim();
		Person person = factory.createPerson();
		Receipt receipt = factory.createReceipt();
		Address address = factory.createAddress();

		address.setCity(request.getParameter("City"));
		address.setPostalCode(request.getParameter("PostalCode"));
		address.setProvince(request.getParameter("Province"));
		address.setStreet(request.getParameter("Street"));
		
		receipt.setCost(Double.parseDouble(request.getParameter("Cost")));
		receipt.setDescription(request.getParameter("Description"));
		receipt.setReceiptNumber(Integer.parseInt(request.getParameter("ReceiptNumber")));
		
		person.setFirst(request.getParameter("FirstName"));
		person.setLast(request.getParameter("LastName"));
		
		claim.setAddress(address);
		claim.setPerson(person);
		claim.setReceipt(receipt);
		claim.setPolicyNumber(Integer.parseInt(request.getParameter("PolicyNumber")));

		
		ClaimPortTypeProxySDO proxy = new ClaimPortTypeProxySDO();

		ClaimResponse claimResponse = proxy.processClaim(claim);
		System.out.println("Claim#=" + claimResponse.getClaimNumber() + " policy#="
				+ claimResponse.getPolicyNumber());
		System.out.println("Done client");
		 		
		
		response.setContentType("text/html");
		PrintWriter out = response.getWriter();
		out.println("<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">");
		out.println("<HTML><HEAD><TITLE>Claim is accepted.</TITLE></HEAD>");
		out.println("<BODY>");
		out.println("Claim#= " + claimResponse.getClaimNumber());
		out.println("<BR>policy#= " + claimResponse.getPolicyNumber());
		out.println("<BR>Your name is " + request.getParameter("FirstName") + "  " + request.getParameter("LastName"));
		out.println("</BODY></HTML>");

	}
	
}