/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.example.model.claim;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.example.model.claim.ClaimFactory
 * @model kind="package"
 * @generated
 */
public interface ClaimPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "claim";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://model.example.org/Claim";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "claim";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  ClaimPackage eINSTANCE = org.example.model.claim.impl.ClaimPackageImpl.init();

  /**
   * The meta object id for the '{@link org.example.model.claim.impl.AddressImpl <em>Address</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.example.model.claim.impl.AddressImpl
   * @see org.example.model.claim.impl.ClaimPackageImpl#getAddress()
   * @generated
   */
  int ADDRESS = 0;

  /**
   * The feature id for the '<em><b>Province</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ADDRESS__PROVINCE = 0;

  /**
   * The feature id for the '<em><b>City</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ADDRESS__CITY = 1;

  /**
   * The feature id for the '<em><b>Street</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ADDRESS__STREET = 2;

  /**
   * The feature id for the '<em><b>Postal Code</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ADDRESS__POSTAL_CODE = 3;

  /**
   * The number of structural features of the '<em>Address</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ADDRESS_FEATURE_COUNT = 4;

  /**
   * The meta object id for the '{@link org.example.model.claim.impl.BenefitImpl <em>Benefit</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.example.model.claim.impl.BenefitImpl
   * @see org.example.model.claim.impl.ClaimPackageImpl#getBenefit()
   * @generated
   */
  int BENEFIT = 1;

  /**
   * The feature id for the '<em><b>Payment</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int BENEFIT__PAYMENT = 0;

  /**
   * The feature id for the '<em><b>Denial</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int BENEFIT__DENIAL = 1;

  /**
   * The number of structural features of the '<em>Benefit</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int BENEFIT_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link org.example.model.claim.impl.ClaimImpl <em>Claim</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.example.model.claim.impl.ClaimImpl
   * @see org.example.model.claim.impl.ClaimPackageImpl#getClaim()
   * @generated
   */
  int CLAIM = 2;

  /**
   * The feature id for the '<em><b>Policy Number</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CLAIM__POLICY_NUMBER = 0;

  /**
   * The feature id for the '<em><b>Person</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CLAIM__PERSON = 1;

  /**
   * The feature id for the '<em><b>Address</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CLAIM__ADDRESS = 2;

  /**
   * The feature id for the '<em><b>Receipt</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CLAIM__RECEIPT = 3;

  /**
   * The number of structural features of the '<em>Claim</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CLAIM_FEATURE_COUNT = 4;

  /**
   * The meta object id for the '{@link org.example.model.claim.impl.ClaimResponseImpl <em>Response</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.example.model.claim.impl.ClaimResponseImpl
   * @see org.example.model.claim.impl.ClaimPackageImpl#getClaimResponse()
   * @generated
   */
  int CLAIM_RESPONSE = 3;

  /**
   * The feature id for the '<em><b>Policy Number</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CLAIM_RESPONSE__POLICY_NUMBER = 0;

  /**
   * The feature id for the '<em><b>Claim Number</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CLAIM_RESPONSE__CLAIM_NUMBER = 1;

  /**
   * The feature id for the '<em><b>Benefit</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CLAIM_RESPONSE__BENEFIT = 2;

  /**
   * The number of structural features of the '<em>Response</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CLAIM_RESPONSE_FEATURE_COUNT = 3;

  /**
   * The meta object id for the '{@link org.example.model.claim.impl.DenialImpl <em>Denial</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.example.model.claim.impl.DenialImpl
   * @see org.example.model.claim.impl.ClaimPackageImpl#getDenial()
   * @generated
   */
  int DENIAL = 4;

  /**
   * The feature id for the '<em><b>Receipt Number</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int DENIAL__RECEIPT_NUMBER = 0;

  /**
   * The feature id for the '<em><b>Reason</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int DENIAL__REASON = 1;

  /**
   * The feature id for the '<em><b>Comment</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int DENIAL__COMMENT = 2;

  /**
   * The number of structural features of the '<em>Denial</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int DENIAL_FEATURE_COUNT = 3;

  /**
   * The meta object id for the '{@link org.example.model.claim.impl.DocumentRootImpl <em>Document Root</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.example.model.claim.impl.DocumentRootImpl
   * @see org.example.model.claim.impl.ClaimPackageImpl#getDocumentRoot()
   * @generated
   */
  int DOCUMENT_ROOT = 5;

  /**
   * The feature id for the '<em><b>Mixed</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int DOCUMENT_ROOT__MIXED = 0;

  /**
   * The feature id for the '<em><b>XMLNS Prefix Map</b></em>' map.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int DOCUMENT_ROOT__XMLNS_PREFIX_MAP = 1;

  /**
   * The feature id for the '<em><b>XSI Schema Location</b></em>' map.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int DOCUMENT_ROOT__XSI_SCHEMA_LOCATION = 2;

  /**
   * The feature id for the '<em><b>Claim</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int DOCUMENT_ROOT__CLAIM = 3;

  /**
   * The feature id for the '<em><b>Claim Response</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int DOCUMENT_ROOT__CLAIM_RESPONSE = 4;

  /**
   * The number of structural features of the '<em>Document Root</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int DOCUMENT_ROOT_FEATURE_COUNT = 5;

  /**
   * The meta object id for the '{@link org.example.model.claim.impl.PaymentImpl <em>Payment</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.example.model.claim.impl.PaymentImpl
   * @see org.example.model.claim.impl.ClaimPackageImpl#getPayment()
   * @generated
   */
  int PAYMENT = 6;

  /**
   * The feature id for the '<em><b>Receipt Number</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PAYMENT__RECEIPT_NUMBER = 0;

  /**
   * The feature id for the '<em><b>Amount</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PAYMENT__AMOUNT = 1;

  /**
   * The feature id for the '<em><b>Method</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PAYMENT__METHOD = 2;

  /**
   * The number of structural features of the '<em>Payment</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PAYMENT_FEATURE_COUNT = 3;

  /**
   * The meta object id for the '{@link org.example.model.claim.impl.PersonImpl <em>Person</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.example.model.claim.impl.PersonImpl
   * @see org.example.model.claim.impl.ClaimPackageImpl#getPerson()
   * @generated
   */
  int PERSON = 7;

  /**
   * The feature id for the '<em><b>First</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PERSON__FIRST = 0;

  /**
   * The feature id for the '<em><b>Last</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PERSON__LAST = 1;

  /**
   * The number of structural features of the '<em>Person</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PERSON_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link org.example.model.claim.impl.ReceiptImpl <em>Receipt</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.example.model.claim.impl.ReceiptImpl
   * @see org.example.model.claim.impl.ClaimPackageImpl#getReceipt()
   * @generated
   */
  int RECEIPT = 8;

  /**
   * The feature id for the '<em><b>Receipt Number</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RECEIPT__RECEIPT_NUMBER = 0;

  /**
   * The feature id for the '<em><b>Description</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RECEIPT__DESCRIPTION = 1;

  /**
   * The feature id for the '<em><b>Cost</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RECEIPT__COST = 2;

  /**
   * The number of structural features of the '<em>Receipt</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RECEIPT_FEATURE_COUNT = 3;

  /**
   * The meta object id for the '{@link org.example.model.claim.Method <em>Method</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.example.model.claim.Method
   * @see org.example.model.claim.impl.ClaimPackageImpl#getMethod()
   * @generated
   */
  int METHOD = 9;

  /**
   * The meta object id for the '{@link org.example.model.claim.Reason <em>Reason</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.example.model.claim.Reason
   * @see org.example.model.claim.impl.ClaimPackageImpl#getReason()
   * @generated
   */
  int REASON = 10;

  /**
   * The meta object id for the '<em>Method Object</em>' data type.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.example.model.claim.Method
   * @see org.example.model.claim.impl.ClaimPackageImpl#getMethodObject()
   * @generated
   */
  int METHOD_OBJECT = 11;

  /**
   * The meta object id for the '<em>Postal Code</em>' data type.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see java.lang.String
   * @see org.example.model.claim.impl.ClaimPackageImpl#getPostalCode()
   * @generated
   */
  int POSTAL_CODE = 12;

  /**
   * The meta object id for the '<em>Reason Object</em>' data type.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.example.model.claim.Reason
   * @see org.example.model.claim.impl.ClaimPackageImpl#getReasonObject()
   * @generated
   */
  int REASON_OBJECT = 13;


  /**
   * Returns the meta object for class '{@link org.example.model.claim.Address <em>Address</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Address</em>'.
   * @see org.example.model.claim.Address
   * @generated
   */
  EClass getAddress();

  /**
   * Returns the meta object for the attribute '{@link org.example.model.claim.Address#getProvince <em>Province</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Province</em>'.
   * @see org.example.model.claim.Address#getProvince()
   * @see #getAddress()
   * @generated
   */
  EAttribute getAddress_Province();

  /**
   * Returns the meta object for the attribute '{@link org.example.model.claim.Address#getCity <em>City</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>City</em>'.
   * @see org.example.model.claim.Address#getCity()
   * @see #getAddress()
   * @generated
   */
  EAttribute getAddress_City();

  /**
   * Returns the meta object for the attribute '{@link org.example.model.claim.Address#getStreet <em>Street</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Street</em>'.
   * @see org.example.model.claim.Address#getStreet()
   * @see #getAddress()
   * @generated
   */
  EAttribute getAddress_Street();

  /**
   * Returns the meta object for the attribute '{@link org.example.model.claim.Address#getPostalCode <em>Postal Code</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Postal Code</em>'.
   * @see org.example.model.claim.Address#getPostalCode()
   * @see #getAddress()
   * @generated
   */
  EAttribute getAddress_PostalCode();

  /**
   * Returns the meta object for class '{@link org.example.model.claim.Benefit <em>Benefit</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Benefit</em>'.
   * @see org.example.model.claim.Benefit
   * @generated
   */
  EClass getBenefit();

  /**
   * Returns the meta object for the containment reference '{@link org.example.model.claim.Benefit#getPayment <em>Payment</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Payment</em>'.
   * @see org.example.model.claim.Benefit#getPayment()
   * @see #getBenefit()
   * @generated
   */
  EReference getBenefit_Payment();

  /**
   * Returns the meta object for the containment reference '{@link org.example.model.claim.Benefit#getDenial <em>Denial</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Denial</em>'.
   * @see org.example.model.claim.Benefit#getDenial()
   * @see #getBenefit()
   * @generated
   */
  EReference getBenefit_Denial();

  /**
   * Returns the meta object for class '{@link org.example.model.claim.Claim <em>Claim</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Claim</em>'.
   * @see org.example.model.claim.Claim
   * @generated
   */
  EClass getClaim();

  /**
   * Returns the meta object for the attribute '{@link org.example.model.claim.Claim#getPolicyNumber <em>Policy Number</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Policy Number</em>'.
   * @see org.example.model.claim.Claim#getPolicyNumber()
   * @see #getClaim()
   * @generated
   */
  EAttribute getClaim_PolicyNumber();

  /**
   * Returns the meta object for the containment reference '{@link org.example.model.claim.Claim#getPerson <em>Person</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Person</em>'.
   * @see org.example.model.claim.Claim#getPerson()
   * @see #getClaim()
   * @generated
   */
  EReference getClaim_Person();

  /**
   * Returns the meta object for the containment reference '{@link org.example.model.claim.Claim#getAddress <em>Address</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Address</em>'.
   * @see org.example.model.claim.Claim#getAddress()
   * @see #getClaim()
   * @generated
   */
  EReference getClaim_Address();

  /**
   * Returns the meta object for the containment reference '{@link org.example.model.claim.Claim#getReceipt <em>Receipt</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Receipt</em>'.
   * @see org.example.model.claim.Claim#getReceipt()
   * @see #getClaim()
   * @generated
   */
  EReference getClaim_Receipt();

  /**
   * Returns the meta object for class '{@link org.example.model.claim.ClaimResponse <em>Response</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Response</em>'.
   * @see org.example.model.claim.ClaimResponse
   * @generated
   */
  EClass getClaimResponse();

  /**
   * Returns the meta object for the attribute '{@link org.example.model.claim.ClaimResponse#getPolicyNumber <em>Policy Number</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Policy Number</em>'.
   * @see org.example.model.claim.ClaimResponse#getPolicyNumber()
   * @see #getClaimResponse()
   * @generated
   */
  EAttribute getClaimResponse_PolicyNumber();

  /**
   * Returns the meta object for the attribute '{@link org.example.model.claim.ClaimResponse#getClaimNumber <em>Claim Number</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Claim Number</em>'.
   * @see org.example.model.claim.ClaimResponse#getClaimNumber()
   * @see #getClaimResponse()
   * @generated
   */
  EAttribute getClaimResponse_ClaimNumber();

  /**
   * Returns the meta object for the containment reference '{@link org.example.model.claim.ClaimResponse#getBenefit <em>Benefit</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Benefit</em>'.
   * @see org.example.model.claim.ClaimResponse#getBenefit()
   * @see #getClaimResponse()
   * @generated
   */
  EReference getClaimResponse_Benefit();

  /**
   * Returns the meta object for class '{@link org.example.model.claim.Denial <em>Denial</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Denial</em>'.
   * @see org.example.model.claim.Denial
   * @generated
   */
  EClass getDenial();

  /**
   * Returns the meta object for the attribute '{@link org.example.model.claim.Denial#getReceiptNumber <em>Receipt Number</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Receipt Number</em>'.
   * @see org.example.model.claim.Denial#getReceiptNumber()
   * @see #getDenial()
   * @generated
   */
  EAttribute getDenial_ReceiptNumber();

  /**
   * Returns the meta object for the attribute '{@link org.example.model.claim.Denial#getReason <em>Reason</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Reason</em>'.
   * @see org.example.model.claim.Denial#getReason()
   * @see #getDenial()
   * @generated
   */
  EAttribute getDenial_Reason();

  /**
   * Returns the meta object for the attribute '{@link org.example.model.claim.Denial#getComment <em>Comment</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Comment</em>'.
   * @see org.example.model.claim.Denial#getComment()
   * @see #getDenial()
   * @generated
   */
  EAttribute getDenial_Comment();

  /**
   * Returns the meta object for class '{@link org.example.model.claim.DocumentRoot <em>Document Root</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Document Root</em>'.
   * @see org.example.model.claim.DocumentRoot
   * @generated
   */
  EClass getDocumentRoot();

  /**
   * Returns the meta object for the attribute list '{@link org.example.model.claim.DocumentRoot#getMixed <em>Mixed</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute list '<em>Mixed</em>'.
   * @see org.example.model.claim.DocumentRoot#getMixed()
   * @see #getDocumentRoot()
   * @generated
   */
  EAttribute getDocumentRoot_Mixed();

  /**
   * Returns the meta object for the map '{@link org.example.model.claim.DocumentRoot#getXMLNSPrefixMap <em>XMLNS Prefix Map</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the map '<em>XMLNS Prefix Map</em>'.
   * @see org.example.model.claim.DocumentRoot#getXMLNSPrefixMap()
   * @see #getDocumentRoot()
   * @generated
   */
  EReference getDocumentRoot_XMLNSPrefixMap();

  /**
   * Returns the meta object for the map '{@link org.example.model.claim.DocumentRoot#getXSISchemaLocation <em>XSI Schema Location</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the map '<em>XSI Schema Location</em>'.
   * @see org.example.model.claim.DocumentRoot#getXSISchemaLocation()
   * @see #getDocumentRoot()
   * @generated
   */
  EReference getDocumentRoot_XSISchemaLocation();

  /**
   * Returns the meta object for the containment reference '{@link org.example.model.claim.DocumentRoot#getClaim <em>Claim</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Claim</em>'.
   * @see org.example.model.claim.DocumentRoot#getClaim()
   * @see #getDocumentRoot()
   * @generated
   */
  EReference getDocumentRoot_Claim();

  /**
   * Returns the meta object for the containment reference '{@link org.example.model.claim.DocumentRoot#getClaimResponse <em>Claim Response</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Claim Response</em>'.
   * @see org.example.model.claim.DocumentRoot#getClaimResponse()
   * @see #getDocumentRoot()
   * @generated
   */
  EReference getDocumentRoot_ClaimResponse();

  /**
   * Returns the meta object for class '{@link org.example.model.claim.Payment <em>Payment</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Payment</em>'.
   * @see org.example.model.claim.Payment
   * @generated
   */
  EClass getPayment();

  /**
   * Returns the meta object for the attribute '{@link org.example.model.claim.Payment#getReceiptNumber <em>Receipt Number</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Receipt Number</em>'.
   * @see org.example.model.claim.Payment#getReceiptNumber()
   * @see #getPayment()
   * @generated
   */
  EAttribute getPayment_ReceiptNumber();

  /**
   * Returns the meta object for the attribute '{@link org.example.model.claim.Payment#getAmount <em>Amount</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Amount</em>'.
   * @see org.example.model.claim.Payment#getAmount()
   * @see #getPayment()
   * @generated
   */
  EAttribute getPayment_Amount();

  /**
   * Returns the meta object for the attribute '{@link org.example.model.claim.Payment#getMethod <em>Method</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Method</em>'.
   * @see org.example.model.claim.Payment#getMethod()
   * @see #getPayment()
   * @generated
   */
  EAttribute getPayment_Method();

  /**
   * Returns the meta object for class '{@link org.example.model.claim.Person <em>Person</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Person</em>'.
   * @see org.example.model.claim.Person
   * @generated
   */
  EClass getPerson();

  /**
   * Returns the meta object for the attribute '{@link org.example.model.claim.Person#getFirst <em>First</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>First</em>'.
   * @see org.example.model.claim.Person#getFirst()
   * @see #getPerson()
   * @generated
   */
  EAttribute getPerson_First();

  /**
   * Returns the meta object for the attribute '{@link org.example.model.claim.Person#getLast <em>Last</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Last</em>'.
   * @see org.example.model.claim.Person#getLast()
   * @see #getPerson()
   * @generated
   */
  EAttribute getPerson_Last();

  /**
   * Returns the meta object for class '{@link org.example.model.claim.Receipt <em>Receipt</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Receipt</em>'.
   * @see org.example.model.claim.Receipt
   * @generated
   */
  EClass getReceipt();

  /**
   * Returns the meta object for the attribute '{@link org.example.model.claim.Receipt#getReceiptNumber <em>Receipt Number</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Receipt Number</em>'.
   * @see org.example.model.claim.Receipt#getReceiptNumber()
   * @see #getReceipt()
   * @generated
   */
  EAttribute getReceipt_ReceiptNumber();

  /**
   * Returns the meta object for the attribute '{@link org.example.model.claim.Receipt#getDescription <em>Description</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Description</em>'.
   * @see org.example.model.claim.Receipt#getDescription()
   * @see #getReceipt()
   * @generated
   */
  EAttribute getReceipt_Description();

  /**
   * Returns the meta object for the attribute '{@link org.example.model.claim.Receipt#getCost <em>Cost</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Cost</em>'.
   * @see org.example.model.claim.Receipt#getCost()
   * @see #getReceipt()
   * @generated
   */
  EAttribute getReceipt_Cost();

  /**
   * Returns the meta object for enum '{@link org.example.model.claim.Method <em>Method</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>Method</em>'.
   * @see org.example.model.claim.Method
   * @generated
   */
  EEnum getMethod();

  /**
   * Returns the meta object for enum '{@link org.example.model.claim.Reason <em>Reason</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>Reason</em>'.
   * @see org.example.model.claim.Reason
   * @generated
   */
  EEnum getReason();

  /**
   * Returns the meta object for data type '{@link org.example.model.claim.Method <em>Method Object</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for data type '<em>Method Object</em>'.
   * @see org.example.model.claim.Method
   * @model instanceClass="org.example.model.claim.Method"
   *        extendedMetaData="name='Method:Object' baseType='Method'" 
   * @generated
   */
  EDataType getMethodObject();

  /**
   * Returns the meta object for data type '{@link java.lang.String <em>Postal Code</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for data type '<em>Postal Code</em>'.
   * @see java.lang.String
   * @model instanceClass="java.lang.String"
   *        extendedMetaData="name='PostalCode' baseType='http://www.eclipse.org/emf/2003/XMLType#string' pattern='[A-Z][0-9][A-Z][0-9][A-Z][0-9]'" 
   * @generated
   */
  EDataType getPostalCode();

  /**
   * Returns the meta object for data type '{@link org.example.model.claim.Reason <em>Reason Object</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for data type '<em>Reason Object</em>'.
   * @see org.example.model.claim.Reason
   * @model instanceClass="org.example.model.claim.Reason"
   *        extendedMetaData="name='Reason:Object' baseType='Reason'" 
   * @generated
   */
  EDataType getReasonObject();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  ClaimFactory getClaimFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link org.example.model.claim.impl.AddressImpl <em>Address</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.example.model.claim.impl.AddressImpl
     * @see org.example.model.claim.impl.ClaimPackageImpl#getAddress()
     * @generated
     */
    EClass ADDRESS = eINSTANCE.getAddress();

    /**
     * The meta object literal for the '<em><b>Province</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ADDRESS__PROVINCE = eINSTANCE.getAddress_Province();

    /**
     * The meta object literal for the '<em><b>City</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ADDRESS__CITY = eINSTANCE.getAddress_City();

    /**
     * The meta object literal for the '<em><b>Street</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ADDRESS__STREET = eINSTANCE.getAddress_Street();

    /**
     * The meta object literal for the '<em><b>Postal Code</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ADDRESS__POSTAL_CODE = eINSTANCE.getAddress_PostalCode();

    /**
     * The meta object literal for the '{@link org.example.model.claim.impl.BenefitImpl <em>Benefit</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.example.model.claim.impl.BenefitImpl
     * @see org.example.model.claim.impl.ClaimPackageImpl#getBenefit()
     * @generated
     */
    EClass BENEFIT = eINSTANCE.getBenefit();

    /**
     * The meta object literal for the '<em><b>Payment</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference BENEFIT__PAYMENT = eINSTANCE.getBenefit_Payment();

    /**
     * The meta object literal for the '<em><b>Denial</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference BENEFIT__DENIAL = eINSTANCE.getBenefit_Denial();

    /**
     * The meta object literal for the '{@link org.example.model.claim.impl.ClaimImpl <em>Claim</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.example.model.claim.impl.ClaimImpl
     * @see org.example.model.claim.impl.ClaimPackageImpl#getClaim()
     * @generated
     */
    EClass CLAIM = eINSTANCE.getClaim();

    /**
     * The meta object literal for the '<em><b>Policy Number</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute CLAIM__POLICY_NUMBER = eINSTANCE.getClaim_PolicyNumber();

    /**
     * The meta object literal for the '<em><b>Person</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference CLAIM__PERSON = eINSTANCE.getClaim_Person();

    /**
     * The meta object literal for the '<em><b>Address</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference CLAIM__ADDRESS = eINSTANCE.getClaim_Address();

    /**
     * The meta object literal for the '<em><b>Receipt</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference CLAIM__RECEIPT = eINSTANCE.getClaim_Receipt();

    /**
     * The meta object literal for the '{@link org.example.model.claim.impl.ClaimResponseImpl <em>Response</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.example.model.claim.impl.ClaimResponseImpl
     * @see org.example.model.claim.impl.ClaimPackageImpl#getClaimResponse()
     * @generated
     */
    EClass CLAIM_RESPONSE = eINSTANCE.getClaimResponse();

    /**
     * The meta object literal for the '<em><b>Policy Number</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute CLAIM_RESPONSE__POLICY_NUMBER = eINSTANCE.getClaimResponse_PolicyNumber();

    /**
     * The meta object literal for the '<em><b>Claim Number</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute CLAIM_RESPONSE__CLAIM_NUMBER = eINSTANCE.getClaimResponse_ClaimNumber();

    /**
     * The meta object literal for the '<em><b>Benefit</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference CLAIM_RESPONSE__BENEFIT = eINSTANCE.getClaimResponse_Benefit();

    /**
     * The meta object literal for the '{@link org.example.model.claim.impl.DenialImpl <em>Denial</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.example.model.claim.impl.DenialImpl
     * @see org.example.model.claim.impl.ClaimPackageImpl#getDenial()
     * @generated
     */
    EClass DENIAL = eINSTANCE.getDenial();

    /**
     * The meta object literal for the '<em><b>Receipt Number</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute DENIAL__RECEIPT_NUMBER = eINSTANCE.getDenial_ReceiptNumber();

    /**
     * The meta object literal for the '<em><b>Reason</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute DENIAL__REASON = eINSTANCE.getDenial_Reason();

    /**
     * The meta object literal for the '<em><b>Comment</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute DENIAL__COMMENT = eINSTANCE.getDenial_Comment();

    /**
     * The meta object literal for the '{@link org.example.model.claim.impl.DocumentRootImpl <em>Document Root</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.example.model.claim.impl.DocumentRootImpl
     * @see org.example.model.claim.impl.ClaimPackageImpl#getDocumentRoot()
     * @generated
     */
    EClass DOCUMENT_ROOT = eINSTANCE.getDocumentRoot();

    /**
     * The meta object literal for the '<em><b>Mixed</b></em>' attribute list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute DOCUMENT_ROOT__MIXED = eINSTANCE.getDocumentRoot_Mixed();

    /**
     * The meta object literal for the '<em><b>XMLNS Prefix Map</b></em>' map feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference DOCUMENT_ROOT__XMLNS_PREFIX_MAP = eINSTANCE.getDocumentRoot_XMLNSPrefixMap();

    /**
     * The meta object literal for the '<em><b>XSI Schema Location</b></em>' map feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference DOCUMENT_ROOT__XSI_SCHEMA_LOCATION = eINSTANCE.getDocumentRoot_XSISchemaLocation();

    /**
     * The meta object literal for the '<em><b>Claim</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference DOCUMENT_ROOT__CLAIM = eINSTANCE.getDocumentRoot_Claim();

    /**
     * The meta object literal for the '<em><b>Claim Response</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference DOCUMENT_ROOT__CLAIM_RESPONSE = eINSTANCE.getDocumentRoot_ClaimResponse();

    /**
     * The meta object literal for the '{@link org.example.model.claim.impl.PaymentImpl <em>Payment</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.example.model.claim.impl.PaymentImpl
     * @see org.example.model.claim.impl.ClaimPackageImpl#getPayment()
     * @generated
     */
    EClass PAYMENT = eINSTANCE.getPayment();

    /**
     * The meta object literal for the '<em><b>Receipt Number</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute PAYMENT__RECEIPT_NUMBER = eINSTANCE.getPayment_ReceiptNumber();

    /**
     * The meta object literal for the '<em><b>Amount</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute PAYMENT__AMOUNT = eINSTANCE.getPayment_Amount();

    /**
     * The meta object literal for the '<em><b>Method</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute PAYMENT__METHOD = eINSTANCE.getPayment_Method();

    /**
     * The meta object literal for the '{@link org.example.model.claim.impl.PersonImpl <em>Person</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.example.model.claim.impl.PersonImpl
     * @see org.example.model.claim.impl.ClaimPackageImpl#getPerson()
     * @generated
     */
    EClass PERSON = eINSTANCE.getPerson();

    /**
     * The meta object literal for the '<em><b>First</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute PERSON__FIRST = eINSTANCE.getPerson_First();

    /**
     * The meta object literal for the '<em><b>Last</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute PERSON__LAST = eINSTANCE.getPerson_Last();

    /**
     * The meta object literal for the '{@link org.example.model.claim.impl.ReceiptImpl <em>Receipt</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.example.model.claim.impl.ReceiptImpl
     * @see org.example.model.claim.impl.ClaimPackageImpl#getReceipt()
     * @generated
     */
    EClass RECEIPT = eINSTANCE.getReceipt();

    /**
     * The meta object literal for the '<em><b>Receipt Number</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute RECEIPT__RECEIPT_NUMBER = eINSTANCE.getReceipt_ReceiptNumber();

    /**
     * The meta object literal for the '<em><b>Description</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute RECEIPT__DESCRIPTION = eINSTANCE.getReceipt_Description();

    /**
     * The meta object literal for the '<em><b>Cost</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute RECEIPT__COST = eINSTANCE.getReceipt_Cost();

    /**
     * The meta object literal for the '{@link org.example.model.claim.Method <em>Method</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.example.model.claim.Method
     * @see org.example.model.claim.impl.ClaimPackageImpl#getMethod()
     * @generated
     */
    EEnum METHOD = eINSTANCE.getMethod();

    /**
     * The meta object literal for the '{@link org.example.model.claim.Reason <em>Reason</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.example.model.claim.Reason
     * @see org.example.model.claim.impl.ClaimPackageImpl#getReason()
     * @generated
     */
    EEnum REASON = eINSTANCE.getReason();

    /**
     * The meta object literal for the '<em>Method Object</em>' data type.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.example.model.claim.Method
     * @see org.example.model.claim.impl.ClaimPackageImpl#getMethodObject()
     * @generated
     */
    EDataType METHOD_OBJECT = eINSTANCE.getMethodObject();

    /**
     * The meta object literal for the '<em>Postal Code</em>' data type.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see java.lang.String
     * @see org.example.model.claim.impl.ClaimPackageImpl#getPostalCode()
     * @generated
     */
    EDataType POSTAL_CODE = eINSTANCE.getPostalCode();

    /**
     * The meta object literal for the '<em>Reason Object</em>' data type.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.example.model.claim.Reason
     * @see org.example.model.claim.impl.ClaimPackageImpl#getReasonObject()
     * @generated
     */
    EDataType REASON_OBJECT = eINSTANCE.getReasonObject();

  }

} //ClaimPackage
