/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.example.model.claim;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.AbstractEnumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>Reason</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.example.model.claim.ClaimPackage#getReason()
 * @model
 * @generated
 */
public final class Reason extends AbstractEnumerator
{
  /**
   * The '<em><b>Inadequate Coverage</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Inadequate Coverage</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #INADEQUATE_COVERAGE_LITERAL
   * @model name="InadequateCoverage"
   * @generated
   * @ordered
   */
  public static final int INADEQUATE_COVERAGE = 0;

  /**
   * The '<em><b>Unknown Receipt</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Unknown Receipt</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #UNKNOWN_RECEIPT_LITERAL
   * @model name="UnknownReceipt"
   * @generated
   * @ordered
   */
  public static final int UNKNOWN_RECEIPT = 1;

  /**
   * The '<em><b>Policy Expired</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of '<em><b>Policy Expired</b></em>' literal object isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @see #POLICY_EXPIRED_LITERAL
   * @model name="PolicyExpired"
   * @generated
   * @ordered
   */
  public static final int POLICY_EXPIRED = 2;

  /**
   * The '<em><b>Inadequate Coverage</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #INADEQUATE_COVERAGE
   * @generated
   * @ordered
   */
  public static final Reason INADEQUATE_COVERAGE_LITERAL = new Reason(INADEQUATE_COVERAGE, "InadequateCoverage", "InadequateCoverage");

  /**
   * The '<em><b>Unknown Receipt</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #UNKNOWN_RECEIPT
   * @generated
   * @ordered
   */
  public static final Reason UNKNOWN_RECEIPT_LITERAL = new Reason(UNKNOWN_RECEIPT, "UnknownReceipt", "UnknownReceipt");

  /**
   * The '<em><b>Policy Expired</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #POLICY_EXPIRED
   * @generated
   * @ordered
   */
  public static final Reason POLICY_EXPIRED_LITERAL = new Reason(POLICY_EXPIRED, "PolicyExpired", "PolicyExpired");

  /**
   * An array of all the '<em><b>Reason</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static final Reason[] VALUES_ARRAY =
    new Reason[]
    {
      INADEQUATE_COVERAGE_LITERAL,
      UNKNOWN_RECEIPT_LITERAL,
      POLICY_EXPIRED_LITERAL,
    };

  /**
   * A public read-only list of all the '<em><b>Reason</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static final List VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

  /**
   * Returns the '<em><b>Reason</b></em>' literal with the specified literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static Reason get(String literal)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      Reason result = VALUES_ARRAY[i];
      if (result.toString().equals(literal))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>Reason</b></em>' literal with the specified name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static Reason getByName(String name)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      Reason result = VALUES_ARRAY[i];
      if (result.getName().equals(name))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>Reason</b></em>' literal with the specified integer value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static Reason get(int value)
  {
    switch (value)
    {
      case INADEQUATE_COVERAGE: return INADEQUATE_COVERAGE_LITERAL;
      case UNKNOWN_RECEIPT: return UNKNOWN_RECEIPT_LITERAL;
      case POLICY_EXPIRED: return POLICY_EXPIRED_LITERAL;
    }
    return null;	
  }

  /**
   * Only this class can construct instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private Reason(int value, String name, String literal)
  {
    super(value, name, literal);
  }

} //Reason
