/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.example.model.claim.util;

import java.util.Map;

import org.eclipse.emf.common.util.DiagnosticChain;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.util.EObjectValidator;

import org.eclipse.emf.ecore.xml.type.util.XMLTypeUtil;
import org.eclipse.emf.ecore.xml.type.util.XMLTypeValidator;

import org.example.model.claim.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Validator</b> for the model.
 * <!-- end-user-doc -->
 * @see org.example.model.claim.ClaimPackage
 * @generated
 */
public class ClaimValidator extends EObjectValidator
{
  /**
   * The cached model package
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static final ClaimValidator INSTANCE = new ClaimValidator();

  /**
   * A constant for the {@link org.eclipse.emf.common.util.Diagnostic#getSource() source} of diagnostic {@link org.eclipse.emf.common.util.Diagnostic#getCode() codes} from this package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.emf.common.util.Diagnostic#getSource()
   * @see org.eclipse.emf.common.util.Diagnostic#getCode()
   * @generated
   */
  public static final String DIAGNOSTIC_SOURCE = "org.example.model.claim";

  /**
   * A constant with a fixed name that can be used as the base value for additional hand written constants.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static final int GENERATED_DIAGNOSTIC_CODE_COUNT = 0;

  /**
   * A constant with a fixed name that can be used as the base value for additional hand written constants in a derived class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static final int DIAGNOSTIC_CODE_COUNT = GENERATED_DIAGNOSTIC_CODE_COUNT;

  /**
   * The cached base package validator.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected XMLTypeValidator xmlTypeValidator;

  /**
   * Creates an instance of the switch.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ClaimValidator()
  {
    super();
    xmlTypeValidator = XMLTypeValidator.INSTANCE;
  }

  /**
   * Returns the package of this validator switch.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected EPackage getEPackage()
  {
    return ClaimPackage.eINSTANCE;
  }

  /**
   * Calls <code>validateXXX</code> for the corresonding classifier of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected boolean validate(int classifierID, Object value, DiagnosticChain diagnostics, Map context)
  {
    switch (classifierID)
    {
      case ClaimPackage.ADDRESS:
        return validateAddress((Address)value, diagnostics, context);
      case ClaimPackage.BENEFIT:
        return validateBenefit((Benefit)value, diagnostics, context);
      case ClaimPackage.CLAIM:
        return validateClaim((Claim)value, diagnostics, context);
      case ClaimPackage.CLAIM_RESPONSE:
        return validateClaimResponse((ClaimResponse)value, diagnostics, context);
      case ClaimPackage.DENIAL:
        return validateDenial((Denial)value, diagnostics, context);
      case ClaimPackage.DOCUMENT_ROOT:
        return validateDocumentRoot((DocumentRoot)value, diagnostics, context);
      case ClaimPackage.PAYMENT:
        return validatePayment((Payment)value, diagnostics, context);
      case ClaimPackage.PERSON:
        return validatePerson((Person)value, diagnostics, context);
      case ClaimPackage.RECEIPT:
        return validateReceipt((Receipt)value, diagnostics, context);
      case ClaimPackage.METHOD:
        return validateMethod((Method)value, diagnostics, context);
      case ClaimPackage.REASON:
        return validateReason((Reason)value, diagnostics, context);
      case ClaimPackage.METHOD_OBJECT:
        return validateMethodObject((Method)value, diagnostics, context);
      case ClaimPackage.POSTAL_CODE:
        return validatePostalCode((String)value, diagnostics, context);
      case ClaimPackage.REASON_OBJECT:
        return validateReasonObject((Reason)value, diagnostics, context);
      default: 
        return true;
    }
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean validateAddress(Address address, DiagnosticChain diagnostics, Map context)
  {
    return validate_EveryDefaultConstraint((EObject)address, diagnostics, context);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean validateBenefit(Benefit benefit, DiagnosticChain diagnostics, Map context)
  {
    return validate_EveryDefaultConstraint((EObject)benefit, diagnostics, context);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean validateClaim(Claim claim, DiagnosticChain diagnostics, Map context)
  {
    return validate_EveryDefaultConstraint((EObject)claim, diagnostics, context);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean validateClaimResponse(ClaimResponse claimResponse, DiagnosticChain diagnostics, Map context)
  {
    return validate_EveryDefaultConstraint((EObject)claimResponse, diagnostics, context);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean validateDenial(Denial denial, DiagnosticChain diagnostics, Map context)
  {
    return validate_EveryDefaultConstraint((EObject)denial, diagnostics, context);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean validateDocumentRoot(DocumentRoot documentRoot, DiagnosticChain diagnostics, Map context)
  {
    return validate_EveryDefaultConstraint((EObject)documentRoot, diagnostics, context);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean validatePayment(Payment payment, DiagnosticChain diagnostics, Map context)
  {
    return validate_EveryDefaultConstraint((EObject)payment, diagnostics, context);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean validatePerson(Person person, DiagnosticChain diagnostics, Map context)
  {
    return validate_EveryDefaultConstraint((EObject)person, diagnostics, context);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean validateReceipt(Receipt receipt, DiagnosticChain diagnostics, Map context)
  {
    return validate_EveryDefaultConstraint((EObject)receipt, diagnostics, context);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean validateMethod(Method method, DiagnosticChain diagnostics, Map context)
  {
    return true;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean validateReason(Reason reason, DiagnosticChain diagnostics, Map context)
  {
    return true;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean validateMethodObject(Method methodObject, DiagnosticChain diagnostics, Map context)
  {
    return true;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean validatePostalCode(String postalCode, DiagnosticChain diagnostics, Map context)
  {
    boolean result = validatePostalCode_Pattern(postalCode, diagnostics, context);
    return result;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @see #validatePostalCode_Pattern
   */
  public static final  PatternMatcher [][] POSTAL_CODE__PATTERN__VALUES =
    new PatternMatcher [][] 
    {
      new PatternMatcher [] 
      {
        XMLTypeUtil.createPatternMatcher("[A-Z][0-9][A-Z][0-9][A-Z][0-9]")
      }
    };

  /**
   * Validates the Pattern constraint of '<em>Postal Code</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean validatePostalCode_Pattern(String postalCode, DiagnosticChain diagnostics, Map context)
  {
    return validatePattern(ClaimPackage.Literals.POSTAL_CODE, postalCode, POSTAL_CODE__PATTERN__VALUES, diagnostics, context);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean validateReasonObject(Reason reasonObject, DiagnosticChain diagnostics, Map context)
  {
    return true;
  }

} //ClaimValidator
